#if v2_49_2
using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Diagnostics;
using System.Reflection;

namespace Adaptation._Tests.Extract.Staging.v2_49_2;

[TestClass]
public class SRP
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_49_2.SRP _SRP;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_49_2.SRP.ClassInitialize(testContext);
        _SRP = CreateSelfDescription.Staging.v2_49_2.SRP.EAFLoggingUnitTesting;
    }

    private static void NonThrowTryCatch()
    {
        try
        { throw new Exception(); }
        catch (Exception) { }
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_49_2__SRP__json() => _SRP.Staging__v2_49_2__SRP__json();

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_49_2__SRP__json638185594063339969__First()
    {
        string check = "*.json";
        bool validatePDSF = false;
        _SRP.Staging__v2_49_2__SRP__json();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _SRP.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _SRP.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics, validatePDSF);
        NonThrowTryCatch();
    }

}
#endif